Funding History
curl --request POST \
--url https://whitebit.com/api/v4/collateral-account/funding-history \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"market": "BTC_PERP",
"limit": 100,
"offset": 0,
"request": "{{request}}",
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/collateral-account/funding-history"
payload = {
"market": "BTC_PERP",
"limit": 100,
"offset": 0,
"request": "{{request}}",
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
market: 'BTC_PERP',
limit: 100,
offset: 0,
request: '{{request}}',
nonce: 1594297865000
})
};
fetch('https://whitebit.com/api/v4/collateral-account/funding-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"market": "BTC_PERP",
"fundingTime": "1734451200",
"fundingRate": "0.00017674",
"fundingAmount": "-0.171053531892",
"positionAmount": "0.019",
"settlementPrice": "50938.2",
"rateCalculatedTime": "1734364800"
},
{
"market": "BTC_PERP",
"fundingTime": "1734451200",
"fundingRate": "-0.000177877800093587",
"fundingAmount": "-0.0054997859133136",
"positionAmount": "-0.001",
"settlementPrice": "30918.9",
"rateCalculatedTime": "1734364800"
}
],
"limit": 100,
"offset": 0
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Funding history
Retrieve funding rate payment history for collateral trading positions via the WhiteBIT V4 API.
Funding History
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Filter by specific market. For example: BTC_PERP
If not specified, returns funding history for all markets.
Example:
"BTC_PERP"
Number of records to return
Example:
100
Number of records to skip
Example:
0
Request signature
Example:
"{{request}}"
Unique request identifier
Example:
1594297865000
Was this page helpful?
⌘I